Bug 2010372 - Reverts PIE build mode for K8S components
Summary: Reverts PIE build mode for K8S components
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.9.0
Assignee: Ryan Phillips
QA Contact: Pedro Amoedo
URL:
Whiteboard:
Depends On: 2010348
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-04 14:03 UTC by Ryan Phillips
Modified: 2021-10-18 17:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2010348
Environment:
Last Closed: 2021-10-18 17:52:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 995 0 None Merged [release-4.9] Bug 2010372: UPSTREAM: 105352: revert pie build mode 2021-10-05 13:13:55 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:52:50 UTC

Description Ryan Phillips 2021-10-04 14:03:50 UTC
+++ This bug was initially created as a clone of Bug #2010348 +++

Description of problem:
PIE build mode is using roughly 30% more memory for core components. This PR reverts that change upstream.

Ref: https://github.com/kubernetes/kubernetes/pull/105352
1.22 Revert: https://github.com/kubernetes/kubernetes/pull/105452


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Ryan Phillips on 2021-10-04 13:57:28 UTC ---

/bugzilla refresh

Comment 3 Pedro Amoedo 2021-10-05 15:07:09 UTC
[QA Summary]

[Environment/Version]

~~~
[pamoedo@p50 git] $ git clone https://github.com/kubernetes/kubernetes
Cloning into 'kubernetes'...
remote: Enumerating objects: 1272405, done.
remote: Counting objects: 100% (192/192), done.
remote: Compressing objects: 100% (129/129), done.
remote: Total 1272405 (delta 83), reused 65 (delta 63), pack-reused 1272213
Receiving objects: 100% (1272405/1272405), 781.91 MiB | 9.25 MiB/s, done.
Resolving deltas: 100% (916994/916994), done.
Updating files: 100% (23213/23213), done.

[pamoedo@p50 kubernetes] $ git --no-pager log --oneline --first-parent origin/master -40 | grep 105352
e1b94fdac9c Merge pull request #105352 from ehashman/revert-102323-pie

[pamoedo@p50 kubernetes] $ go version
go version go1.17.1 linux/amd64
~~~

[Compilation Results]

~~~
[pamoedo@p50 kubernetes] $ make
+++ [1005 16:34:13] Building go targets for linux/amd64:
    ./vendor/k8s.io/code-generator/cmd/prerelease-lifecycle-gen
> non-static build: k8s.io/kubernetes/./vendor/k8s.io/code-generator/cmd/prerelease-lifecycle-gen
Generating prerelease lifecycle code for 28 targets
+++ [1005 16:34:17] Building go targets for linux/amd64:
    ./vendor/k8s.io/code-generator/cmd/deepcopy-gen
> non-static build: k8s.io/kubernetes/./vendor/k8s.io/code-generator/cmd/deepcopy-gen
Generating deepcopy code for 235 targets
+++ [1005 16:34:24] Building go targets for linux/amd64:
    ./vendor/k8s.io/code-generator/cmd/defaulter-gen
> non-static build: k8s.io/kubernetes/./vendor/k8s.io/code-generator/cmd/defaulter-gen
Generating defaulter code for 93 targets
+++ [1005 16:34:32] Building go targets for linux/amd64:
    ./vendor/k8s.io/code-generator/cmd/conversion-gen
> non-static build: k8s.io/kubernetes/./vendor/k8s.io/code-generator/cmd/conversion-gen
Generating conversion code for 129 targets
+++ [1005 16:34:48] Building go targets for linux/amd64:
    ./vendor/k8s.io/kube-openapi/cmd/openapi-gen
> non-static build: k8s.io/kubernetes/./vendor/k8s.io/kube-openapi/cmd/openapi-gen
Generating openapi code for KUBE
Generating openapi code for AGGREGATOR
Generating openapi code for APIEXTENSIONS
Generating openapi code for CODEGEN
Generating openapi code for SAMPLEAPISERVER
+++ [1005 16:34:59] Building go targets for linux/amd64:
    cmd/kube-proxy
    cmd/kube-apiserver
    cmd/kube-controller-manager
    cmd/kubelet
    cmd/kubeadm
    cmd/kube-scheduler
    vendor/k8s.io/kube-aggregator
    vendor/k8s.io/apiextensions-apiserver
    cluster/gce/gci/mounter
    cmd/kubectl
    cmd/kubectl-convert
    cmd/gendocs
    cmd/genkubedocs
    cmd/genman
    cmd/genyaml
    cmd/genswaggertypedocs
    cmd/linkcheck
    vendor/github.com/onsi/ginkgo/ginkgo
    test/e2e/e2e.test
    test/conformance/image/go-runner
    cmd/kubemark
    vendor/github.com/onsi/ginkgo/ginkgo
    test/e2e_node/e2e_node.test
> static build CGO_ENABLED=0: k8s.io/kubernetes/cmd/kube-proxy k8s.io/kubernetes/cmd/kube-apiserver k8s.io/kubernetes/cmd/kube-controller-manager k8s.io/kubernetes/cmd/kubeadm k8s.io/kubernetes/cmd/kube-scheduler k8s.io/kubernetes/cmd/kubectl
> non-static build: k8s.io/kubernetes/cmd/kubelet k8s.io/kubernetes/vendor/k8s.io/kube-aggregator k8s.io/kubernetes/vendor/k8s.io/apiextensions-apiserver k8s.io/kubernetes/cluster/gce/gci/mounter k8s.io/kubernetes/cmd/kubectl-convert k8s.io/kubernetes/cmd/gendocs k8s.io/kubernetes/cmd/genkubedocs k8s.io/kubernetes/cmd/genman k8s.io/kubernetes/cmd/genyaml k8s.io/kubernetes/cmd/genswaggertypedocs k8s.io/kubernetes/cmd/linkcheck k8s.io/kubernetes/vendor/github.com/onsi/ginkgo/ginkgo k8s.io/kubernetes/test/conformance/image/go-runner k8s.io/kubernetes/cmd/kubemark k8s.io/kubernetes/vendor/github.com/onsi/ginkgo/ginkgo
~~~

NOTE: the PR was also included within 4.9.0-0.nightly-2021-10-05-004711 build here[1] (accepted).

[1] - https://openshift-release.apps.ci.l2s4.p1.openshiftapps.com/releasestream/4.9.0-0.nightly/release/4.9.0-0.nightly-2021-10-05-004711

*** PASSED ***

Comment 6 errata-xmlrpc 2021-10-18 17:52:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.